org.apache.uima.jcas.cas

## Class TOP

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP

- All Implemented Interfaces:
    Cloneable, FeatureStructure, FeatureStructureImpl
  Direct Known Subclasses:
    AnnotationBase, BooleanArray, ByteArray, DoubleArray, FloatArray, FloatList, FSArray, FSArrayList, FSHashSet, FSList, Int2FS, IntegerArray, IntegerArrayList, IntegerList, LongArray, ShortArray, Sofa, StringArray, StringList

      public class TOP
      extends FeatureStructureImplC

  The JCas Class model corresponding to the Cas TOP type. This type is the super type of all JCas feature structures.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TOP` | `_singleton` Internal use - used as removed marker in maps
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID` Each cover class when loaded sets an index.

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TOP()`
    `TOP(JCas jcas)` This version is used by user code new XXX(jcas)
    `TOP(TypeImpl t, CASImpl c)` used by generator Make a new TOP

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TOP` | `_createJCasHashMapReserve(int id)` for internal use only, creates a reserved marker
    `static TOP` | `_createSearchKey(int id)`
    `int` | `getTypeIndexID()`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `getJCas`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

      Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### type

          public static final int type

    - #### _singleton

          public static final TOP _singleton

      Internal use - used as removed marker in maps

  - ### Constructor Detail

    - #### TOP

          public TOP()

    - #### TOP

          public TOP(TypeImpl t,
                     CASImpl c)

      used by generator Make a new TOP
      Parameters:
        `c` - -
        `t` - -

    - #### TOP

          public TOP(JCas jcas)

      This version is used by user code new XXX(jcas)
      Parameters:
        `jcas` - -

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `FeatureStructureImplC`
      Returns:
        the type array index

    - #### _createSearchKey

          public static TOP _createSearchKey(int id)

    - #### _createJCasHashMapReserve

          public static TOP _createJCasHashMapReserve(int id)

      for internal use only, creates a reserved marker
      Parameters:
        `id` - -
      Returns:
        -

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.